#
# spec file for package kcm-touchpad
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kcm-touchpad
Version:        1.1
Release:        3.36
Summary:        KCModule for configuring the touchpad
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            https://projects.kde.org/kcm-touchpad
Source0:        %{name}-%{version}.tar.gz
#PATCH-FIX-UPSTREAM x11backend-fix.diff
Patch0:         x11backend-fix.diff
BuildRequires:  fdupes
BuildRequires:  libkde4-devel
BuildRequires:  xinput
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-server)
BuildRequires:  pkgconfig(xorg-synaptics)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires
Obsoletes:      synaptiks

%description
System Settings module, daemon and Plasma applet for managing your touchpad.

%prep
%setup -q
%patch0 -p1

%build
%cmake_kde4 -d build
%make_jobs

%install
%kde4_makeinstall -C build
%kde_post_install
%fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_kde4_bindir}/kcm-touchpad-list-devices
%{_kde4_configkcfgdir}/touchpad.kcfg
%{_kde4_configkcfgdir}/touchpaddaemon.kcfg
%{_kde4_modulesdir}/kded_touchpad.so
%{_kde4_modulesdir}/plasma_engine_touchpad.so
%dir %{_kde4_appsdir}/plasma/plasmoids
%{_kde4_appsdir}/plasma/plasmoids/touchpad/
%{_kde4_appsdir}/plasma/services/touchpad.operations
%{_kde4_servicesdir}/plasma-applet-touchpad.desktop
%{_kde4_servicesdir}/plasma-dataengine-touchpad.desktop
%{_kde4_servicesdir}/kcm_touchpad.desktop
%{_kde4_servicesdir}/kded/touchpad.desktop
%{_kde4_datadir}/dbus-1/interfaces/org.kde.touchpad.xml
%dir %{_kde4_iconsdir}/hicolor/*
%{_kde4_iconsdir}/hicolor/*/devices/
%{_kde4_appsdir}/kcm_touchpad/
%{_kde4_appsdir}/desktoptheme/

%changelog
* Sun Dec 28 2014 joschibrauchle@gmx.de
- Update to 1.1
- Added 'Obsoletes: synaptiks' as suggested by BOO#907462
- Added upstream patch x11backend-fix.diff to fix the display string
  for record connection
* Thu Mar 20 2014 hrvoje.senjan@gmail.com
- Update to 1.0
  * Fixed problems with touchpads with unknown resolution
* Sun Mar  2 2014 hrvoje.senjan@gmail.com
- Update to 0.99
  * Improved compatibility with ktouchpadenabler
  * Fixed handling of negative values in "Scrolling Distance"
  * "Daemon" tab is now disabled if there are no daemon or no touchpad
  * Added cmake scripts to download, build and install translations
* Tue Feb 11 2014 hrvoje.senjan@gmail.com
- Update to 20140211 snapshot
* Wed Jan  1 2014 hrvoje.senjan@gmail.com
- Update to latest snapshot
- Smaller spec cleanup
* Wed Sep  4 2013 hrvoje.senjan@gmail.com
- Initialize kcm-touchpad package
